classification
Title: Look up __aenter__ before __aexit__ in the async with statement
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, brett.cannon, maggyero, ncoghlan, rhettinger, yselivanov
Priority: normal Keywords:

Created on 2019-12-14 19:58 by maggyero, last changed 2020-01-14 12:21 by maggyero. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17609 merged maggyero, 2019-12-14 19:58
Messages (2)
msg358403 - (view) Author: Géry (maggyero) * Date: 2019-12-14 19:58
Following https://bugs.python.org/issue27100 which did it for the with statement, what was left to do was to reorder the __aenter__ and __aexit__ method checks for the async with statement.

I have opened a PR for this here: https://github.com/python/cpython/pull/17609
msg359967 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2020-01-14 11:58
New changeset 1d1b97ae643dd8b22d87785ed7bd2599c6c8dc8d by Nick Coghlan (Géry Ogam) in branch 'master':
bpo-39048: Look up __aenter__ before __aexit__ in async with (GH-17609)
https://github.com/python/cpython/commit/1d1b97ae643dd8b22d87785ed7bd2599c6c8dc8d
History
Date User Action Args
2020-01-14 12:21:10maggyerosettitle: Look up __aenter__ before __aexit__ in async with -> Look up __aenter__ before __aexit__ in the async with statement
2020-01-14 12:10:18maggyerosettitle: Change the lookup order of __aenter__ and __aexit__ for async with -> Look up __aenter__ before __aexit__ in async with
2020-01-14 11:59:46ncoghlansetstatus: open -> closed
type: behavior -> enhancement
stage: resolved
resolution: fixed
versions: - Python 3.8
2020-01-14 11:58:39ncoghlansetnosy: + ncoghlan
messages: + msg359967
2020-01-13 14:37:41maggyerosettitle: Reorder __aenter__ & __aexit__ checks for async with statement -> Change the lookup order of __aenter__ and __aexit__ for async with
2019-12-20 20:03:46terry.reedysettitle: Reorder the __aenter__ and __aexit__ method checks for the async with statement -> Reorder __aenter__ & __aexit__ checks for async with statement
versions: + Python 3.9
2019-12-17 08:03:12xtreaksetnosy: + asvetlov, yselivanov
2019-12-14 20:00:41maggyerosettitle: bpo-39048: Reorder the __aenter__ and __aexit__ method checks for the async with statement -> Reorder the __aenter__ and __aexit__ method checks for the async with statement
2019-12-14 20:00:34maggyerosettitle: Reorder the __aenter__ and __aexit__ checks for async with -> bpo-39048: Reorder the __aenter__ and __aexit__ method checks for the async with statement
2019-12-14 19:58:37maggyerocreate